Linux

Members
  • Content Count

    11
  • Joined

  • Last visited

Everything posted by Linux

  1. Thanks, I don't see your device in your system devices regardless if a driver was ready for the device it should still appear. First off did you using this kernel cause it to disappear from the device list, or are you just adding the card now. This really does seem more likely a hardware/bios issue but if you did use this custom kernel you should roll back if it is causing you issues. I think this issue is most likely nothing to do with this original thread and there are many threads in this forum about GPU and GPU passthrough VM support I would recommend reading through those issues and
  2. So you are just passing the card through if you look at ich777 notes you don't need the driver just the device to pass through. Since the VM you are passing through should handle the device driver. You should post your system devices output.
  3. @Sinister If you patched your kernel or modified anything it will not be automatically enabled, but I am assuming you are using Nvidia. If that is the case in the 6.9.x release nvidia is supported by ich777 app for the 6.9.x you can find it specifically noted in the 6.9.0 release notes the community app under Nvidia Driver by ich777 link to his support forum here:
  4. The issue is there is a bug in the pm80xx release that causes the pm8003 cards to not initialize (pm8001). It is a really tiny patch in the 5.10.30 kernel but 6.9.2 is running 5.10.28. I did in the noted post above compile and anyone can download to use on their 6.9.2 release https://forums.unraid.net/bug-reports/stable-releases/690-691-692-netapp-pmc-sierra-pm8003-rev5-and-adaptec-6805h-hba-controller-didnt-find-the-hdds-r1300/page/2/?tab=comments#comment-14699
  5. @Tigerherz Let me know if this helps you it should get you unstuck from moving onto the 6.9.x (6.9.2) release. When ever unraid moves to linux kernel 5.10.30+ you will not have to worry about patching for the pm80xx driver.
  6. I have some good news after some work with @DrBeaker we got a build off the 5.10.28 with backport fixes included in the 5.10.30 kernel 5.10.28 -> 5.10.30 pm80xx scsi driver fix We are able to successfully initialize the pm8003 card with link and see drives as expected with this simple patch thanks to @ich777 unraid kernel helper made it easy to build the kernel and dropping in patches. I am not sure if this is against the guidelines, but linking the 5.10.28 kernel built with these changes this is intended ONLY for 6.9.2 release zip package of the 5.10.28 pm80xx patch
  7. sure, let me zip up and send you DM, i don't want people downloading until we get a confirmed use case.
  8. @DrBeaker Got more progress, after doing some more digging, there was a few other patches, all changes included below from the 5.10.28 -> 5.10.37 for a couple of issues patch Boot the system, but once it sets the link speed and after initial scan after it boots it goes straight into pci fault error, I thought I might of screwed up the compile, tried again and then i tested on a fresh install on 6.8.3, but same issue on the pci fault error and tested in my g8 dl380p and ilo shows pci bus error on the card. Sadly i might of made progress, if you wanted to give it a try,
  9. I am late to the party. I just ran into this with my ds4243 with my pmc-8001 card. In syslog you get May 23 17:12:50 DL380P kernel: pm80xx: probe of 0000:0b:00.0 failed with error -16 Like Limetech noted that there was several changes in the linux 5.10.26 kernel which is included in the 6.9.2 release (comes with 5.10.28 kernel) there appears to been a different bug still missed until the 5.10.30 release which fixes the initialization error: https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/diff/drivers/scsi/pm8001/pm8001_hwi.c?id=v5.10.28&id2=v5.10.3
  10. Alright on my main machine I tried IE, edge, Chrome, and firefox all the same results. It just gets reset after setting a second device. I switched to my Pixel 4XL chrome and was able to properly update all my drives.
  11. @DarkMan83 Just ran into this issue. I also did a rc2 -> 6.9.0 upgrade path and same behavior i thought I was losing my mind. I will try using a different browser. Currently on my main machine in firefox. I will report back.